Bug 14303 - smfs milters for sendmail
: smfs milters for sendmail
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/sendmail)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://smfs.sourceforge.net
:
:
:
  Show dependency tree
 
Reported: 2008-02-04 08:48 by
Modified: 2008-02-07 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-04 08:48:19
есть предложение собрать в сизиф набор фильтров с http://smfs.sourceforge.net/

включает в себя 
 smf-clamd - Sendmail ClamAV milter
 smf-spamd - Sendmail SpamAssassin milter new
 smf-zombie - Sendmail Zombie SPAM Blocker
 smf-spf - Sendmail SPF milter new
 smf-grey - Sendmail GreyList milter new
 smf-sav - Sendmail Sender Address Validator

последний проверил, подключается просто, работает нормально ;)
------- Comment #1 From 2008-02-04 14:27:19 -------
Кроме Sendmail Zombie SPAM Blocker, всё остальное заменяет mailfromd. Что такое 
Zombie SPAM Blocker, надо глянуть, но, как мне кажется, и это решит 
соответствующая конфигурация mailfromd.
------- Comment #2 From 2008-02-04 14:55:51 -------
Zombie SPAM Blocker
   · friendly hosts/networks whitelist;
      чёрные/белые/серые списки можно сделать на любой вкус
   · SMTP AUTH support;
      sendmail сам умеет вообще-то
   · scanning of e-Mail messages less than certain size;
      не вопрос
   · blocking up to 90% of SPAM/worms engines;
      интересен способ определения. Если это сделать ещё нельзя, надо будет 
Сергею Познякову идею подкинуть. :-)
   · blocking of e-Mail messages from dynamic hosts;
      это даже сделано
   · inspection of the sender's IP address with the most reliable zombie RBL 
(CBL);
      и sendmail умеет просто RBL, и в mailfromd любые операции с DNS можно 
описать.
   · blocking of the bounce e-Mail messages;
      тоже можно. А нужно ? Вообще-то, за это бы по ушам... Вот greylisting - 
это можно.
   · blocking of e-Mail messages for undisclosed recipients;
      не вопрос
   · blocking of e-Mail messages with harmful attachments.
      тоже вопрос, как определяется. Скажем, *.doc поймать легко. Вирус ? А 
ClamAV на что ?
------- Comment #3 From 2008-02-05 14:16:32 -------
да можно сколько угодно придумать вариантов "на что", я просто искал простой
sender address validator. конфигурируется и запускается за минуту, не требует
ничего сторонего (и mailfromd тоже, например).

написан, кстати, тоже русским..
Когда надо суперконфигурируемое комплексное решение - то mailfromd. а когда
нужно нечто простое и небольшое?..
------- Comment #4 From 2008-02-05 14:56:36 -------
а кто будет в работоспособности убеждаться ? Я вот их вряд ли использовать 
буду. Что касается sender address validator, то это сделано по-умолчанию в том 
конфиге mailfromd, что у нас лежит. Плюс, сразу, blocking of e-Mail messages 
from dynamic hosts и грейлистринг при плохом helo.
------- Comment #5 From 2008-02-07 09:53:50 -------
если у mailfromd все с этим в порядке в конфиге из пакета, тогда и эту можно
закрыть, на усмотрение.
------- Comment #6 From 2008-02-07 12:10:37 -------
В общем, закрываю как wontfix, а если кто желает это собрать, разьве что могу 
подсказать, если вопросы будут.
------- Comment #7 From 2008-02-07 12:16:20 -------
Кстати, Mailfromd, с некоторых пор, не использует libmilter и от, собственно, 
пакета Sendmail никак не зависит, что может быть интересно в плане 
использования его с тем же Postfix.